Page MenuHomePhabricator

[CodeGen] Add missing vector type legalization for ctlz_zero_undef
ClosedPublic

Authored by RolandF on Jun 17 2019, 4:04 PM.

Details

Summary

The change to PPC vector cost model for D60160 exposed a regression where the support for legalizing a vector ctlz_zero_undef with illegal type was missing.

Diff Detail

Repository
rL LLVM

Event Timeline

RolandF created this revision.Jun 17 2019, 4:04 PM
Herald added a project: Restricted Project. · View Herald TranscriptJun 17 2019, 4:04 PM

Looks like we can hit the same issue in X86 with -x86-experimental-vector-widening-legalization on the command line. Do you mind adding a test for that?

RolandF updated this revision to Diff 205399.Jun 18 2019, 10:45 AM

Add X86 test.

RKSimon added a subscriber: RKSimon.
RKSimon added inline comments.
llvm/test/CodeGen/X86/vec_clz.ll
1 ↗(On Diff #205399)

Please can you use update_llc_test_checks.py to regenerate this? (and maybe the ppc file as well)

RolandF updated this revision to Diff 205458.Jun 18 2019, 3:54 PM

Generated test checks with script.

RKSimon accepted this revision.Jun 21 2019, 3:48 AM

LGTM

This revision is now accepted and ready to land.Jun 21 2019, 3:48 AM
This revision was automatically updated to reflect the committed changes.